Subject: Re: [PATCH v2] ipv6: Reparent temporary address(es) if global address was, deleted from userspace

From: Heiner Kallweit <[email-masked]>
Date: Mon, 07 Apr 2014 20:50:32 +0200

Am 07.04.2014 12:22, schrieb Hannes Frederic Sowa:
> On Mon, Apr 07, 2014 at 07:43:12AM +0200, Heiner Kallweit wrote:
>> If the kernel takes care of global and temporary addresses it can happen
>> that the global address is deleted from userspace,
>> e.g. by network managers in case the link goes (temporarily) down.
>> In addition to the then orphaned temporary address(es) the next RA will
>> create a new temporary address. Therefore we might end up with more than
>> one non-deprecated temporary address for the same prefix for a longer
>> period of time (>regen_advance). According to RfC4941 sect. 3.4 this
>> should not happen.
>>
>> Fix this by reparenting orphaned temporary addresses.
>>
>> v2: style fixes
>>
>> Signed-off-by: Heiner Kallweit <[email-masked]>
> Looks good!
>
> Btw. do you intend this as a bugfix for net or net-next? net-next is currently
> closed and you would have to resubmit this patch as soon as net-next opens
> back up. A notification will be send to this list.
>
> Current kernels only print a warning if this happens, so IMHO net-next would
> be ok?
>
> Thanks,
>
>   Hannes
>
>
Even though the kernel doesn't fully follow RfC 4941 in this scenario  I didn't notice any real harm.
Therefore I would agree and consider it more an improvement than a bugfix. I'll resubmit once net-next is open again.

Regards, Heiner